Skip to main content
PATCH
/
public-api
/
end-companies
/
{psa_company_id}
Update an end-company
curl --request PATCH \
  --url https://api.neoagent.io/public-api/end-companies/{psa_company_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "auto_assign_exchange_admin": true,
  "custom_instructions": "<string>",
  "custom_instructions_for_user_facing_chat": "<string>",
  "employee_identity_provider": {
    "onprem_ad_adconnect_server_hostname": "<string>",
    "onprem_ad_runner_hostname": "<string>",
    "onprem_service_account_username": "<string>"
  },
  "mailbox_provider": {
    "onprem_exchange_runner_hostname": "<string>",
    "onprem_exchange_server_hostname": "<string>",
    "onprem_service_account_username": "<string>"
  },
  "marketplace_company_ids": [
    {
      "company_id": "<string>"
    }
  ],
  "psa_company_name": "<string>",
  "tenant_id": "<string>"
}
'
import requests

url = "https://api.neoagent.io/public-api/end-companies/{psa_company_id}"

payload = {
"auto_assign_exchange_admin": True,
"custom_instructions": "<string>",
"custom_instructions_for_user_facing_chat": "<string>",
"employee_identity_provider": {
"onprem_ad_adconnect_server_hostname": "<string>",
"onprem_ad_runner_hostname": "<string>",
"onprem_service_account_username": "<string>"
},
"mailbox_provider": {
"onprem_exchange_runner_hostname": "<string>",
"onprem_exchange_server_hostname": "<string>",
"onprem_service_account_username": "<string>"
},
"marketplace_company_ids": [{ "company_id": "<string>" }],
"psa_company_name": "<string>",
"tenant_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auto_assign_exchange_admin: true,
custom_instructions: '<string>',
custom_instructions_for_user_facing_chat: '<string>',
employee_identity_provider: {
onprem_ad_adconnect_server_hostname: '<string>',
onprem_ad_runner_hostname: '<string>',
onprem_service_account_username: '<string>'
},
mailbox_provider: {
onprem_exchange_runner_hostname: '<string>',
onprem_exchange_server_hostname: '<string>',
onprem_service_account_username: '<string>'
},
marketplace_company_ids: [{company_id: '<string>'}],
psa_company_name: '<string>',
tenant_id: '<string>'
})
};

fetch('https://api.neoagent.io/public-api/end-companies/{psa_company_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "auto_assign_exchange_admin": true,
    "azure_application_access_granted": true,
    "azure_delegated_access_granted": true,
    "custom_instructions": "<string>",
    "custom_instructions_for_user_facing_chat": "<string>",
    "employee_identity_provider": {
      "onprem_ad_adconnect_server_hostname": "<string>",
      "onprem_ad_runner_hostname": "<string>",
      "onprem_service_account_username": "<string>"
    },
    "mailbox_provider": {
      "onprem_exchange_runner_hostname": "<string>",
      "onprem_exchange_server_hostname": "<string>",
      "onprem_service_account_username": "<string>"
    },
    "marketplace_company_ids": [
      {
        "company_id": "<string>"
      }
    ],
    "psa_company_id": "<string>",
    "psa_company_name": "<string>",
    "tenant_id": "<string>"
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Path Parameters

psa_company_id
string
required

Body

application/json
auto_assign_exchange_admin
boolean | null
custom_instructions
string | null
custom_instructions_for_user_facing_chat
string | null
employee_identity_provider
IdentityProvider · object | null
mailbox_provider
MailboxProvider · object | null
marketplace_company_ids
MarketplaceCompanyId · object[] | null
psa_company_name
string | null
tenant_id
string | null

Response

Success.

data
PublicEndCompany · object
required
meta
object
required